Object.defineProperty(exports, "initPuppeteerBrowser", {
  enumerable: !0,
  get: function() {
    return _taskRunnerPuppeteer.initPuppeteerBrowser;
  }
});
Object.defineProperty(exports, "clearPuppeteerBrowser", {
  enumerable: !0,
  get: function() {
    return _taskRunnerPuppeteer.clearPuppeteerBrowser;
  }
});
var _crypto = require("crypto");
var _TaskRunner = require("dr-js/library/common/module/TaskRunner");
var _taskRunnerPuppeteer = require("./taskRunnerPuppeteer");
var _taskRunnerDebug = require("./taskRunnerDebug");
exports.createTaskRunnerPuppeteer = (async ({clusterSize, urlSnapshotApp, urlServerPingTest, puppeteerBrowser, logger}) => (0, _TaskRunner.createTaskRunnerCluster)({
  clusterSize,
  getRunnerFromTaskId: (taskRunnerList, taskId) => {
    const result = taskId && /^TSS-(\d)-/.exec(taskId);
    return result && taskRunnerList[parseInt(result[1], 36)];
  },
  createTaskRunner: async (clusterIndex = 0) => (0, _TaskRunner.createTaskRunner)({
    ...(0, _taskRunnerPuppeteer.createTaskRunnerOptionPuppeteer)({
      urlSnapshotApp,
      urlServerPingTest,
      puppeteerBrowser,
      logger
    }),
    getTaskId: inputData => `TSS-${clusterIndex.toString(36)}-${getJSONHash(inputData)}`
  })
}));
exports.createTaskRunnerDebug = (async ({clusterSize, logger}) => (0, _TaskRunner.createTaskRunnerCluster)({
  clusterSize,
  getRunnerFromTaskId: (taskRunnerList, taskId) => {
    const result = taskId && /^TASK-DEBUG-(\d)-/.exec(taskId);
    return result && taskRunnerList[parseInt(result[1], 36)];
  },
  createTaskRunner: async (clusterIndex = 0) => (0, _TaskRunner.createTaskRunner)({
    ...(0, _taskRunnerDebug.createTaskRunnerOptionDebug)({
      logger
    }),
    getTaskId: inputData => `TASK-DEBUG-${clusterIndex.toString(36)}-${getJSONHash(inputData)}`
  })
}));
const getJSONHash = object => (0, _crypto.createHash)("sha1").update(JSON.stringify(object), "utf8").digest("base64").replace(/\W/g, "");