var _random = require("dr-js/library/common/math/random");
var _time = require("dr-js/library/common/time");
exports.createTaskRunnerOptionDebug = (({logger}) => ({
  clearRunner: () => {},
  resetRunner: (error, taskId) => error && logger.add(`[DebugTaskRunner|${taskId}] error: ${error.stack || error.toString()}`),
  getTaskInitialState: task => task,
  runTask: async (taskId, {getTaskState, updateTaskState}) => {
    logger.add(`[DebugTaskRunner|${taskId}] start`);
    logger.add(JSON.stringify(getTaskState(taskId).inputData));
    for (let index = 0, indexMax = (0, _random.getRandomInt)(5, 10); index < indexMax; index++) {
      await (0, _time.setTimeoutAsync)(500);
      logger.add(`[DebugTaskRunner|${taskId}] step [${index}/${indexMax}]`);
      if (8 === indexMax && 4 === index) throw new Error("[DebugError] predefined error at 4 of 8");
      updateTaskState(taskId, {
        progress: Math.round(100 * (index + 1) / indexMax)
      });
    }
    logger.add(`[DebugTaskRunner|${taskId}] complete`);
    return {
      output: "DebugTaskRunner"
    };
  }
}));