const BROWSER_FUNCTION_MAP = Object.entries({
  addSnapShotTask: "({ projectCid, canvasZoom, canvasClip, taskList }) => {\n  window.SNAPSHOT_CONTROL.addSnapShotTask({ projectCid, canvasZoom, canvasClip, taskList })\n}",
  checkReady: "() => {\n  const { isReady } = window.SNAPSHOT_CONTROL.getState()\n  return isReady\n}",
  checkWait: "() => {\n  const { isReady, isWait } = window.SNAPSHOT_CONTROL.getState()\n  return isReady && isWait\n}",
  getTaskResult: "() => {\n  const { state } = window.SNAPSHOT_CONTROL.getState()\n  return state\n}",
  sendResume: "() => {\n  window.SNAPSHOT_CONTROL.resume()\n}",
  sendReset: "() => {\n  window.SNAPSHOT_CONTROL.resetTaskQueue()\n  window.SNAPSHOT_CONTROL.resume()\n}"
}).reduce((o, [key, browserCode]) => {
  o[key] = Object.assign(() => {}, {
    toString: () => browserCode
  });
  return o;
}, {});
exports.BROWSER_FUNCTION_MAP = BROWSER_FUNCTION_MAP;